Delete channel content
Bulk-deletes content entries by id. Deleted ids are returned in data; per-item failures in errors.
DELETE
/api/v2/{team_slug}/{app_slug}/channels/{channel_id}/contentAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
team_slugstringrequiredapp_slugstringrequiredchannel_idstring<uuid>requiredRequest body
requiredapplication/jsoncontentDeleteChannelContentItem[]requiredmin items 1 · max items 20
Show propertiesHide properties
Array of
DeleteChannelContentItemidUUIDrequiredResponses
200
OK (partial success possible)
dataChannelContentRef[]requiredShow propertiesHide properties
Array of
ChannelContentRefidUUIDrequirederrorsChannelContentError[]requiredShow propertiesHide properties
Array of
ChannelContentErroridUUID | nullShow propertiesHide properties
Any of:
UUID
string<uuid>null
nullparent_idUUID | nullShow propertiesHide properties
Any of:
UUID
string<uuid>null
nullmessagestringrequired400
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required401
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required403
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required500
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required